/* pdflua.c

   Copyright 2010 Taco Hoekwater <taco@luatex.org>
   Copyright 2010 Hartmut Henkel <hartmut@luatex.org>

   This file is part of LuaTeX.

   LuaTeX is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   LuaTeX is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
   License for more details.

   You should have received a copy of the GNU General Public License along
   with LuaTeX; if not, see <http://www.gnu.org/licenses/>. */

#include "ptexlib.h"

static const Byte compr[258] = {
    0x78, 0x9c, 0xad, 0x51, 0xc1, 0x4a, 0xc4, 0x30, 0x10, 0xbd, 0xe7, 0x2b, 0xe6, 0xd0, 0x83, 0xc2,
    0x36, 0x49, 0x57, 0x61, 0x69, 0xc1, 0x0f, 0x10, 0x3c, 0x09, 0x5e, 0xbc, 0xa5, 0xe9, 0xb4, 0x0d,
    0x0d, 0x49, 0x98, 0x24, 0xee, 0x2e, 0xe2, 0xbf, 0x9b, 0x42, 0xd1, 0x55, 0xf1, 0xb6, 0x61, 0x12,
    0x1e, 0xf3, 0x5e, 0xe6, 0x3d, 0x98, 0xba, 0x86, 0xea, 0x71, 0xe8, 0x20, 0x0c, 0xa3, 0xcd, 0x8a,
    0x97, 0x0b, 0x77, 0xed, 0x7d, 0x0b, 0x7b, 0xd9, 0xc8, 0xba, 0x69, 0x6a, 0x79, 0x00, 0x29, 0x3b,
    0xd9, 0x76, 0x4d, 0xfb, 0x0a, 0xf3, 0x8c, 0x6e, 0x41, 0x0b, 0x15, 0xab, 0xcb, 0xb7, 0x97, 0xe7,
    0xa7, 0x0e, 0xe6, 0x94, 0x42, 0x27, 0xc4, 0xe8, 0xb3, 0x1b, 0xe8, 0xcc, 0x63, 0x0e, 0x68, 0x51,
    0xf3, 0x91, 0x44, 0x7c, 0x73, 0xa2, 0x8c, 0x4b, 0x78, 0x12, 0x3d, 0x29, 0xa7, 0x67, 0x8c, 0x42,
    0xf2, 0x83, 0xe4, 0x27, 0x11, 0x7d, 0x26, 0x8d, 0xa2, 0x50, 0x8b, 0x38, 0x62, 0xbf, 0xd7, 0x9b,
    0x70, 0x30, 0xb4, 0xa2, 0xa8, 0xc9, 0x84, 0x14, 0xc5, 0x45, 0xa6, 0x8a, 0xad, 0x96, 0x69, 0x36,
    0x11, 0x4a, 0xa1, 0x22, 0x7b, 0x86, 0xa3, 0xa7, 0x05, 0x8c, 0x83, 0x40, 0x7e, 0x22, 0x8c, 0x91,
    0x73, 0xbe, 0xaa, 0xae, 0x73, 0x18, 0xeb, 0x71, 0x32, 0x2e, 0xa8, 0x09, 0xe1, 0x01, 0xc6, 0xec,
    0x74, 0x32, 0xde, 0xdd, 0xa8, 0x5b, 0x86, 0x6e, 0x60, 0xeb, 0xf3, 0x1f, 0xe5, 0x73, 0x0a, 0xa5,
    0x0a, 0x1b, 0x13, 0xe1, 0x0f, 0xc9, 0xa6, 0xb8, 0x5e, 0x46, 0xeb, 0xb5, 0xb2, 0xdb, 0xee, 0x8a,
    0xd1, 0x3b, 0x03, 0xb8, 0x8c, 0xfd, 0x85, 0x77, 0x85, 0xf8, 0x8e, 0xbc, 0xa1, 0xb5, 0xf9, 0x37,
    0xec, 0xaf, 0xce, 0x8e, 0x7d, 0x30, 0x46, 0x98, 0x32, 0xb9, 0xcd, 0x87, 0x7d, 0x02, 0x67, 0xe5,
    0xa2, 0xba
};

static const zlib_struct compr_struct = { 563, 258, compr };

const zlib_struct *pdflua_zlib_struct_ptr = &compr_struct;
